// Code generated by protoc-gen-gogo.
// source: slice.proto
// DO NOT EDIT!

/*
	Package events is a generated protocol buffer package.

	It is generated from these files:
		slice.proto

	It has these top-level messages:
		SessionSlice
		SessionChunk
*/
package events

import proto "github.com/golang/protobuf/proto"
import fmt "fmt"
import math "math"
import _ "github.com/grpc-ecosystem/grpc-gateway/third_party/googleapis/google/api"
import google_protobuf1 "github.com/golang/protobuf/ptypes/empty"

import (
	context "golang.org/x/net/context"
	grpc "google.golang.org/grpc"
)

import io "io"

// Reference imports to suppress errors if they are not otherwise used.
var _ = proto.Marshal
var _ = fmt.Errorf
var _ = math.Inf

// This is a compile-time assertion to ensure that this generated file
// is compatible with the proto package it is being compiled against.
// A compilation error at this line likely means your copy of the
// proto package needs to be updated.
const _ = proto.ProtoPackageIsVersion2 // please upgrade the proto package

// SessionSlice is a slice of submitted chunks
type SessionSlice struct {
	// Namespace is a session namespace
	Namespace string `protobuf:"bytes,1,opt,name=Namespace,json=namespace,proto3" json:"Namespace,omitempty"`
	// SessionID is a session ID associated with this chunk
	SessionID string `protobuf:"bytes,2,opt,name=SessionID,json=sessionID,proto3" json:"SessionID,omitempty"`
	// Chunks is a list of submitted session chunks
	Chunks []*SessionChunk `protobuf:"bytes,3,rep,name=Chunks,json=chunks" json:"Chunks,omitempty"`
	// Version specifies session slice version
	Version int64 `protobuf:"varint,4,opt,name=Version,json=version,proto3" json:"Version,omitempty"`
}

func (m *SessionSlice) Reset()                    { *m = SessionSlice{} }
func (m *SessionSlice) String() string            { return proto.CompactTextString(m) }
func (*SessionSlice) ProtoMessage()               {}
func (*SessionSlice) Descriptor() ([]byte, []int) { return fileDescriptorSlice, []int{0} }

func (m *SessionSlice) GetChunks() []*SessionChunk {
	if m != nil {
		return m.Chunks
	}
	return nil
}

// SessionChunk is a chunk to be posted in the context of the session
type SessionChunk struct {
	// Time is the occurence of this event
	Time int64 `protobuf:"varint,2,opt,name=Time,json=time,proto3" json:"Time,omitempty"`
	// Data is captured data, contains event fields in case of event, session data otherwise
	Data []byte `protobuf:"bytes,3,opt,name=Data,json=data,proto3" json:"Data,omitempty"`
	// EventType is event type
	EventType string `protobuf:"bytes,4,opt,name=EventType,json=eventType,proto3" json:"EventType,omitempty"`
	// EventIndex is the event global index
	EventIndex int64 `protobuf:"varint,5,opt,name=EventIndex,json=eventIndex,proto3" json:"EventIndex,omitempty"`
	// Index is the autoincremented chunk index
	ChunkIndex int64 `protobuf:"varint,6,opt,name=ChunkIndex,json=chunkIndex,proto3" json:"ChunkIndex,omitempty"`
	// Offset is an offset from the previous chunk in bytes
	Offset int64 `protobuf:"varint,7,opt,name=Offset,json=offset,proto3" json:"Offset,omitempty"`
	// Delay is a delay from the previous event in milliseconds
	Delay int64 `protobuf:"varint,8,opt,name=Delay,json=delay,proto3" json:"Delay,omitempty"`
}

func (m *SessionChunk) Reset()                    { *m = SessionChunk{} }
func (m *SessionChunk) String() string            { return proto.CompactTextString(m) }
func (*SessionChunk) ProtoMessage()               {}
func (*SessionChunk) Descriptor() ([]byte, []int) { return fileDescriptorSlice, []int{1} }

func init() {
	proto.RegisterType((*SessionSlice)(nil), "events.SessionSlice")
	proto.RegisterType((*SessionChunk)(nil), "events.SessionChunk")
}

// Reference imports to suppress errors if they are not otherwise used.
var _ context.Context
var _ grpc.ClientConn

// This is a compile-time assertion to ensure that this generated file
// is compatible with the grpc package it is being compiled against.
const _ = grpc.SupportPackageIsVersion3

// Client API for AuditLog service

type AuditLogClient interface {
	SubmitSessionSlice(ctx context.Context, opts ...grpc.CallOption) (AuditLog_SubmitSessionSliceClient, error)
}

type auditLogClient struct {
	cc *grpc.ClientConn
}

func NewAuditLogClient(cc *grpc.ClientConn) AuditLogClient {
	return &auditLogClient{cc}
}

func (c *auditLogClient) SubmitSessionSlice(ctx context.Context, opts ...grpc.CallOption) (AuditLog_SubmitSessionSliceClient, error) {
	stream, err := grpc.NewClientStream(ctx, &_AuditLog_serviceDesc.Streams[0], c.cc, "/events.AuditLog/SubmitSessionSlice", opts...)
	if err != nil {
		return nil, err
	}
	x := &auditLogSubmitSessionSliceClient{stream}
	return x, nil
}

type AuditLog_SubmitSessionSliceClient interface {
	Send(*SessionSlice) error
	CloseAndRecv() (*google_protobuf1.Empty, error)
	grpc.ClientStream
}

type auditLogSubmitSessionSliceClient struct {
	grpc.ClientStream
}

func (x *auditLogSubmitSessionSliceClient) Send(m *SessionSlice) error {
	return x.ClientStream.SendMsg(m)
}

func (x *auditLogSubmitSessionSliceClient) CloseAndRecv() (*google_protobuf1.Empty, error) {
	if err := x.ClientStream.CloseSend(); err != nil {
		return nil, err
	}
	m := new(google_protobuf1.Empty)
	if err := x.ClientStream.RecvMsg(m); err != nil {
		return nil, err
	}
	return m, nil
}

// Server API for AuditLog service

type AuditLogServer interface {
	SubmitSessionSlice(AuditLog_SubmitSessionSliceServer) error
}

func RegisterAuditLogServer(s *grpc.Server, srv AuditLogServer) {
	s.RegisterService(&_AuditLog_serviceDesc, srv)
}

func _AuditLog_SubmitSessionSlice_Handler(srv interface{}, stream grpc.ServerStream) error {
	return srv.(AuditLogServer).SubmitSessionSlice(&auditLogSubmitSessionSliceServer{stream})
}

type AuditLog_SubmitSessionSliceServer interface {
	SendAndClose(*google_protobuf1.Empty) error
	Recv() (*SessionSlice, error)
	grpc.ServerStream
}

type auditLogSubmitSessionSliceServer struct {
	grpc.ServerStream
}

func (x *auditLogSubmitSessionSliceServer) SendAndClose(m *google_protobuf1.Empty) error {
	return x.ServerStream.SendMsg(m)
}

func (x *auditLogSubmitSessionSliceServer) Recv() (*SessionSlice, error) {
	m := new(SessionSlice)
	if err := x.ServerStream.RecvMsg(m); err != nil {
		return nil, err
	}
	return m, nil
}

var _AuditLog_serviceDesc = grpc.ServiceDesc{
	ServiceName: "events.AuditLog",
	HandlerType: (*AuditLogServer)(nil),
	Methods:     []grpc.MethodDesc{},
	Streams: []grpc.StreamDesc{
		{
			StreamName:    "SubmitSessionSlice",
			Handler:       _AuditLog_SubmitSessionSlice_Handler,
			ClientStreams: true,
		},
	},
	Metadata: fileDescriptorSlice,
}

func (m *SessionSlice) Marshal() (data []byte, err error) {
	size := m.Size()
	data = make([]byte, size)
	n, err := m.MarshalTo(data)
	if err != nil {
		return nil, err
	}
	return data[:n], nil
}

func (m *SessionSlice) MarshalTo(data []byte) (int, error) {
	var i int
	_ = i
	var l int
	_ = l
	if len(m.Namespace) > 0 {
		data[i] = 0xa
		i++
		i = encodeVarintSlice(data, i, uint64(len(m.Namespace)))
		i += copy(data[i:], m.Namespace)
	}
	if len(m.SessionID) > 0 {
		data[i] = 0x12
		i++
		i = encodeVarintSlice(data, i, uint64(len(m.SessionID)))
		i += copy(data[i:], m.SessionID)
	}
	if len(m.Chunks) > 0 {
		for _, msg := range m.Chunks {
			data[i] = 0x1a
			i++
			i = encodeVarintSlice(data, i, uint64(msg.Size()))
			n, err := msg.MarshalTo(data[i:])
			if err != nil {
				return 0, err
			}
			i += n
		}
	}
	if m.Version != 0 {
		data[i] = 0x20
		i++
		i = encodeVarintSlice(data, i, uint64(m.Version))
	}
	return i, nil
}

func (m *SessionChunk) Marshal() (data []byte, err error) {
	size := m.Size()
	data = make([]byte, size)
	n, err := m.MarshalTo(data)
	if err != nil {
		return nil, err
	}
	return data[:n], nil
}

func (m *SessionChunk) MarshalTo(data []byte) (int, error) {
	var i int
	_ = i
	var l int
	_ = l
	if m.Time != 0 {
		data[i] = 0x10
		i++
		i = encodeVarintSlice(data, i, uint64(m.Time))
	}
	if len(m.Data) > 0 {
		data[i] = 0x1a
		i++
		i = encodeVarintSlice(data, i, uint64(len(m.Data)))
		i += copy(data[i:], m.Data)
	}
	if len(m.EventType) > 0 {
		data[i] = 0x22
		i++
		i = encodeVarintSlice(data, i, uint64(len(m.EventType)))
		i += copy(data[i:], m.EventType)
	}
	if m.EventIndex != 0 {
		data[i] = 0x28
		i++
		i = encodeVarintSlice(data, i, uint64(m.EventIndex))
	}
	if m.ChunkIndex != 0 {
		data[i] = 0x30
		i++
		i = encodeVarintSlice(data, i, uint64(m.ChunkIndex))
	}
	if m.Offset != 0 {
		data[i] = 0x38
		i++
		i = encodeVarintSlice(data, i, uint64(m.Offset))
	}
	if m.Delay != 0 {
		data[i] = 0x40
		i++
		i = encodeVarintSlice(data, i, uint64(m.Delay))
	}
	return i, nil
}

func encodeFixed64Slice(data []byte, offset int, v uint64) int {
	data[offset] = uint8(v)
	data[offset+1] = uint8(v >> 8)
	data[offset+2] = uint8(v >> 16)
	data[offset+3] = uint8(v >> 24)
	data[offset+4] = uint8(v >> 32)
	data[offset+5] = uint8(v >> 40)
	data[offset+6] = uint8(v >> 48)
	data[offset+7] = uint8(v >> 56)
	return offset + 8
}
func encodeFixed32Slice(data []byte, offset int, v uint32) int {
	data[offset] = uint8(v)
	data[offset+1] = uint8(v >> 8)
	data[offset+2] = uint8(v >> 16)
	data[offset+3] = uint8(v >> 24)
	return offset + 4
}
func encodeVarintSlice(data []byte, offset int, v uint64) int {
	for v >= 1<<7 {
		data[offset] = uint8(v&0x7f | 0x80)
		v >>= 7
		offset++
	}
	data[offset] = uint8(v)
	return offset + 1
}
func (m *SessionSlice) Size() (n int) {
	var l int
	_ = l
	l = len(m.Namespace)
	if l > 0 {
		n += 1 + l + sovSlice(uint64(l))
	}
	l = len(m.SessionID)
	if l > 0 {
		n += 1 + l + sovSlice(uint64(l))
	}
	if len(m.Chunks) > 0 {
		for _, e := range m.Chunks {
			l = e.Size()
			n += 1 + l + sovSlice(uint64(l))
		}
	}
	if m.Version != 0 {
		n += 1 + sovSlice(uint64(m.Version))
	}
	return n
}

func (m *SessionChunk) Size() (n int) {
	var l int
	_ = l
	if m.Time != 0 {
		n += 1 + sovSlice(uint64(m.Time))
	}
	l = len(m.Data)
	if l > 0 {
		n += 1 + l + sovSlice(uint64(l))
	}
	l = len(m.EventType)
	if l > 0 {
		n += 1 + l + sovSlice(uint64(l))
	}
	if m.EventIndex != 0 {
		n += 1 + sovSlice(uint64(m.EventIndex))
	}
	if m.ChunkIndex != 0 {
		n += 1 + sovSlice(uint64(m.ChunkIndex))
	}
	if m.Offset != 0 {
		n += 1 + sovSlice(uint64(m.Offset))
	}
	if m.Delay != 0 {
		n += 1 + sovSlice(uint64(m.Delay))
	}
	return n
}

func sovSlice(x uint64) (n int) {
	for {
		n++
		x >>= 7
		if x == 0 {
			break
		}
	}
	return n
}
func sozSlice(x uint64) (n int) {
	return sovSlice(uint64((x << 1) ^ uint64((int64(x) >> 63))))
}
func (m *SessionSlice) Unmarshal(data []byte) error {
	l := len(data)
	iNdEx := 0
	for iNdEx < l {
		preIndex := iNdEx
		var wire uint64
		for shift := uint(0); ; shift += 7 {
			if shift >= 64 {
				return ErrIntOverflowSlice
			}
			if iNdEx >= l {
				return io.ErrUnexpectedEOF
			}
			b := data[iNdEx]
			iNdEx++
			wire |= (uint64(b) & 0x7F) << shift
			if b < 0x80 {
				break
			}
		}
		fieldNum := int32(wire >> 3)
		wireType := int(wire & 0x7)
		if wireType == 4 {
			return fmt.Errorf("proto: SessionSlice: wiretype end group for non-group")
		}
		if fieldNum <= 0 {
			return fmt.Errorf("proto: SessionSlice: illegal tag %d (wire type %d)", fieldNum, wire)
		}
		switch fieldNum {
		case 1:
			if wireType != 2 {
				return fmt.Errorf("proto: wrong wireType = %d for field Namespace", wireType)
			}
			var stringLen uint64
			for shift := uint(0); ; shift += 7 {
				if shift >= 64 {
					return ErrIntOverflowSlice
				}
				if iNdEx >= l {
					return io.ErrUnexpectedEOF
				}
				b := data[iNdEx]
				iNdEx++
				stringLen |= (uint64(b) & 0x7F) << shift
				if b < 0x80 {
					break
				}
			}
			intStringLen := int(stringLen)
			if intStringLen < 0 {
				return ErrInvalidLengthSlice
			}
			postIndex := iNdEx + intStringLen
			if postIndex > l {
				return io.ErrUnexpectedEOF
			}
			m.Namespace = string(data[iNdEx:postIndex])
			iNdEx = postIndex
		case 2:
			if wireType != 2 {
				return fmt.Errorf("proto: wrong wireType = %d for field SessionID", wireType)
			}
			var stringLen uint64
			for shift := uint(0); ; shift += 7 {
				if shift >= 64 {
					return ErrIntOverflowSlice
				}
				if iNdEx >= l {
					return io.ErrUnexpectedEOF
				}
				b := data[iNdEx]
				iNdEx++
				stringLen |= (uint64(b) & 0x7F) << shift
				if b < 0x80 {
					break
				}
			}
			intStringLen := int(stringLen)
			if intStringLen < 0 {
				return ErrInvalidLengthSlice
			}
			postIndex := iNdEx + intStringLen
			if postIndex > l {
				return io.ErrUnexpectedEOF
			}
			m.SessionID = string(data[iNdEx:postIndex])
			iNdEx = postIndex
		case 3:
			if wireType != 2 {
				return fmt.Errorf("proto: wrong wireType = %d for field Chunks", wireType)
			}
			var msglen int
			for shift := uint(0); ; shift += 7 {
				if shift >= 64 {
					return ErrIntOverflowSlice
				}
				if iNdEx >= l {
					return io.ErrUnexpectedEOF
				}
				b := data[iNdEx]
				iNdEx++
				msglen |= (int(b) & 0x7F) << shift
				if b < 0x80 {
					break
				}
			}
			if msglen < 0 {
				return ErrInvalidLengthSlice
			}
			postIndex := iNdEx + msglen
			if postIndex > l {
				return io.ErrUnexpectedEOF
			}
			m.Chunks = append(m.Chunks, &SessionChunk{})
			if err := m.Chunks[len(m.Chunks)-1].Unmarshal(data[iNdEx:postIndex]); err != nil {
				return err
			}
			iNdEx = postIndex
		case 4:
			if wireType != 0 {
				return fmt.Errorf("proto: wrong wireType = %d for field Version", wireType)
			}
			m.Version = 0
			for shift := uint(0); ; shift += 7 {
				if shift >= 64 {
					return ErrIntOverflowSlice
				}
				if iNdEx >= l {
					return io.ErrUnexpectedEOF
				}
				b := data[iNdEx]
				iNdEx++
				m.Version |= (int64(b) & 0x7F) << shift
				if b < 0x80 {
					break
				}
			}
		default:
			iNdEx = preIndex
			skippy, err := skipSlice(data[iNdEx:])
			if err != nil {
				return err
			}
			if skippy < 0 {
				return ErrInvalidLengthSlice
			}
			if (iNdEx + skippy) > l {
				return io.ErrUnexpectedEOF
			}
			iNdEx += skippy
		}
	}

	if iNdEx > l {
		return io.ErrUnexpectedEOF
	}
	return nil
}
func (m *SessionChunk) Unmarshal(data []byte) error {
	l := len(data)
	iNdEx := 0
	for iNdEx < l {
		preIndex := iNdEx
		var wire uint64
		for shift := uint(0); ; shift += 7 {
			if shift >= 64 {
				return ErrIntOverflowSlice
			}
			if iNdEx >= l {
				return io.ErrUnexpectedEOF
			}
			b := data[iNdEx]
			iNdEx++
			wire |= (uint64(b) & 0x7F) << shift
			if b < 0x80 {
				break
			}
		}
		fieldNum := int32(wire >> 3)
		wireType := int(wire & 0x7)
		if wireType == 4 {
			return fmt.Errorf("proto: SessionChunk: wiretype end group for non-group")
		}
		if fieldNum <= 0 {
			return fmt.Errorf("proto: SessionChunk: illegal tag %d (wire type %d)", fieldNum, wire)
		}
		switch fieldNum {
		case 2:
			if wireType != 0 {
				return fmt.Errorf("proto: wrong wireType = %d for field Time", wireType)
			}
			m.Time = 0
			for shift := uint(0); ; shift += 7 {
				if shift >= 64 {
					return ErrIntOverflowSlice
				}
				if iNdEx >= l {
					return io.ErrUnexpectedEOF
				}
				b := data[iNdEx]
				iNdEx++
				m.Time |= (int64(b) & 0x7F) << shift
				if b < 0x80 {
					break
				}
			}
		case 3:
			if wireType != 2 {
				return fmt.Errorf("proto: wrong wireType = %d for field Data", wireType)
			}
			var byteLen int
			for shift := uint(0); ; shift += 7 {
				if shift >= 64 {
					return ErrIntOverflowSlice
				}
				if iNdEx >= l {
					return io.ErrUnexpectedEOF
				}
				b := data[iNdEx]
				iNdEx++
				byteLen |= (int(b) & 0x7F) << shift
				if b < 0x80 {
					break
				}
			}
			if byteLen < 0 {
				return ErrInvalidLengthSlice
			}
			postIndex := iNdEx + byteLen
			if postIndex > l {
				return io.ErrUnexpectedEOF
			}
			m.Data = append(m.Data[:0], data[iNdEx:postIndex]...)
			if m.Data == nil {
				m.Data = []byte{}
			}
			iNdEx = postIndex
		case 4:
			if wireType != 2 {
				return fmt.Errorf("proto: wrong wireType = %d for field EventType", wireType)
			}
			var stringLen uint64
			for shift := uint(0); ; shift += 7 {
				if shift >= 64 {
					return ErrIntOverflowSlice
				}
				if iNdEx >= l {
					return io.ErrUnexpectedEOF
				}
				b := data[iNdEx]
				iNdEx++
				stringLen |= (uint64(b) & 0x7F) << shift
				if b < 0x80 {
					break
				}
			}
			intStringLen := int(stringLen)
			if intStringLen < 0 {
				return ErrInvalidLengthSlice
			}
			postIndex := iNdEx + intStringLen
			if postIndex > l {
				return io.ErrUnexpectedEOF
			}
			m.EventType = string(data[iNdEx:postIndex])
			iNdEx = postIndex
		case 5:
			if wireType != 0 {
				return fmt.Errorf("proto: wrong wireType = %d for field EventIndex", wireType)
			}
			m.EventIndex = 0
			for shift := uint(0); ; shift += 7 {
				if shift >= 64 {
					return ErrIntOverflowSlice
				}
				if iNdEx >= l {
					return io.ErrUnexpectedEOF
				}
				b := data[iNdEx]
				iNdEx++
				m.EventIndex |= (int64(b) & 0x7F) << shift
				if b < 0x80 {
					break
				}
			}
		case 6:
			if wireType != 0 {
				return fmt.Errorf("proto: wrong wireType = %d for field ChunkIndex", wireType)
			}
			m.ChunkIndex = 0
			for shift := uint(0); ; shift += 7 {
				if shift >= 64 {
					return ErrIntOverflowSlice
				}
				if iNdEx >= l {
					return io.ErrUnexpectedEOF
				}
				b := data[iNdEx]
				iNdEx++
				m.ChunkIndex |= (int64(b) & 0x7F) << shift
				if b < 0x80 {
					break
				}
			}
		case 7:
			if wireType != 0 {
				return fmt.Errorf("proto: wrong wireType = %d for field Offset", wireType)
			}
			m.Offset = 0
			for shift := uint(0); ; shift += 7 {
				if shift >= 64 {
					return ErrIntOverflowSlice
				}
				if iNdEx >= l {
					return io.ErrUnexpectedEOF
				}
				b := data[iNdEx]
				iNdEx++
				m.Offset |= (int64(b) & 0x7F) << shift
				if b < 0x80 {
					break
				}
			}
		case 8:
			if wireType != 0 {
				return fmt.Errorf("proto: wrong wireType = %d for field Delay", wireType)
			}
			m.Delay = 0
			for shift := uint(0); ; shift += 7 {
				if shift >= 64 {
					return ErrIntOverflowSlice
				}
				if iNdEx >= l {
					return io.ErrUnexpectedEOF
				}
				b := data[iNdEx]
				iNdEx++
				m.Delay |= (int64(b) & 0x7F) << shift
				if b < 0x80 {
					break
				}
			}
		default:
			iNdEx = preIndex
			skippy, err := skipSlice(data[iNdEx:])
			if err != nil {
				return err
			}
			if skippy < 0 {
				return ErrInvalidLengthSlice
			}
			if (iNdEx + skippy) > l {
				return io.ErrUnexpectedEOF
			}
			iNdEx += skippy
		}
	}

	if iNdEx > l {
		return io.ErrUnexpectedEOF
	}
	return nil
}
func skipSlice(data []byte) (n int, err error) {
	l := len(data)
	iNdEx := 0
	for iNdEx < l {
		var wire uint64
		for shift := uint(0); ; shift += 7 {
			if shift >= 64 {
				return 0, ErrIntOverflowSlice
			}
			if iNdEx >= l {
				return 0, io.ErrUnexpectedEOF
			}
			b := data[iNdEx]
			iNdEx++
			wire |= (uint64(b) & 0x7F) << shift
			if b < 0x80 {
				break
			}
		}
		wireType := int(wire & 0x7)
		switch wireType {
		case 0:
			for shift := uint(0); ; shift += 7 {
				if shift >= 64 {
					return 0, ErrIntOverflowSlice
				}
				if iNdEx >= l {
					return 0, io.ErrUnexpectedEOF
				}
				iNdEx++
				if data[iNdEx-1] < 0x80 {
					break
				}
			}
			return iNdEx, nil
		case 1:
			iNdEx += 8
			return iNdEx, nil
		case 2:
			var length int
			for shift := uint(0); ; shift += 7 {
				if shift >= 64 {
					return 0, ErrIntOverflowSlice
				}
				if iNdEx >= l {
					return 0, io.ErrUnexpectedEOF
				}
				b := data[iNdEx]
				iNdEx++
				length |= (int(b) & 0x7F) << shift
				if b < 0x80 {
					break
				}
			}
			iNdEx += length
			if length < 0 {
				return 0, ErrInvalidLengthSlice
			}
			return iNdEx, nil
		case 3:
			for {
				var innerWire uint64
				var start int = iNdEx
				for shift := uint(0); ; shift += 7 {
					if shift >= 64 {
						return 0, ErrIntOverflowSlice
					}
					if iNdEx >= l {
						return 0, io.ErrUnexpectedEOF
					}
					b := data[iNdEx]
					iNdEx++
					innerWire |= (uint64(b) & 0x7F) << shift
					if b < 0x80 {
						break
					}
				}
				innerWireType := int(innerWire & 0x7)
				if innerWireType == 4 {
					break
				}
				next, err := skipSlice(data[start:])
				if err != nil {
					return 0, err
				}
				iNdEx = start + next
			}
			return iNdEx, nil
		case 4:
			return iNdEx, nil
		case 5:
			iNdEx += 4
			return iNdEx, nil
		default:
			return 0, fmt.Errorf("proto: illegal wireType %d", wireType)
		}
	}
	panic("unreachable")
}

var (
	ErrInvalidLengthSlice = fmt.Errorf("proto: negative length found during unmarshaling")
	ErrIntOverflowSlice   = fmt.Errorf("proto: integer overflow")
)

func init() { proto.RegisterFile("slice.proto", fileDescriptorSlice) }

var fileDescriptorSlice = []byte{
	// 405 bytes of a gzipped FileDescriptorProto
	0x1f, 0x8b, 0x08, 0x00, 0x00, 0x09, 0x6e, 0x88, 0x02, 0xff, 0x5c, 0x91, 0xc1, 0x8e, 0xd3, 0x30,
	0x10, 0x86, 0xd7, 0xa4, 0x4d, 0x37, 0xde, 0x3d, 0x20, 0x6b, 0xb5, 0xb2, 0x0a, 0x8a, 0xaa, 0x9e,
	0x72, 0x80, 0x44, 0x5a, 0x9e, 0x00, 0xe8, 0x22, 0xad, 0x84, 0x40, 0x4a, 0x57, 0x1c, 0xb8, 0x20,
	0x37, 0x99, 0xa6, 0x16, 0x8d, 0x6d, 0xc5, 0x93, 0x85, 0xbc, 0x06, 0x27, 0x9e, 0x87, 0x13, 0x47,
	0x1e, 0x01, 0x95, 0x17, 0x41, 0xb6, 0xd3, 0x45, 0xec, 0x2d, 0xff, 0xf7, 0x8d, 0x3d, 0x13, 0x0f,
	0x3d, 0xb3, 0x7b, 0x59, 0x41, 0x6e, 0x3a, 0x8d, 0x9a, 0xc5, 0x70, 0x07, 0x0a, 0xed, 0xfc, 0x63,
	0x23, 0x71, 0xd7, 0x6f, 0xf2, 0x4a, 0xb7, 0x45, 0xd3, 0x99, 0xea, 0x39, 0x54, 0xda, 0x0e, 0x16,
	0x61, 0x8c, 0x8d, 0x40, 0xf8, 0x22, 0x86, 0x02, 0x77, 0xb2, 0xab, 0x3f, 0x19, 0xd1, 0xe1, 0x50,
	0x34, 0x5a, 0x37, 0x7b, 0x10, 0x46, 0xda, 0xf1, 0xb3, 0x10, 0x46, 0x16, 0x42, 0x29, 0x8d, 0x02,
	0xa5, 0x56, 0x36, 0xf4, 0x98, 0x3f, 0x19, 0xad, 0x4f, 0x9b, 0x7e, 0x5b, 0x40, 0x6b, 0x70, 0x08,
	0x72, 0xf9, 0x8d, 0xd0, 0xf3, 0x35, 0x58, 0x2b, 0xb5, 0x5a, 0xbb, 0xb9, 0xd8, 0x53, 0x9a, 0xbc,
	0x13, 0x2d, 0x58, 0x23, 0x2a, 0xe0, 0x64, 0x41, 0xb2, 0xa4, 0x4c, 0xd4, 0x11, 0x38, 0x3b, 0x56,
	0xdf, 0xac, 0xf8, 0xa3, 0x60, 0xed, 0x11, 0xb0, 0x67, 0x34, 0x7e, 0xbd, 0xeb, 0xd5, 0x67, 0xcb,
	0xa3, 0x45, 0x94, 0x9d, 0x5d, 0x5d, 0xe4, 0xe1, 0xf7, 0xf2, 0xf1, 0x8c, 0x97, 0x65, 0x5c, 0xf9,
	0x1a, 0xc6, 0xe9, 0xec, 0x03, 0x74, 0x8e, 0xf3, 0xc9, 0x82, 0x64, 0x51, 0x39, 0xbb, 0x0b, 0x71,
	0xf9, 0xe3, 0xdf, 0x50, 0xfe, 0x08, 0x63, 0x74, 0x72, 0x2b, 0x5b, 0xf0, 0x1d, 0xa3, 0x72, 0x82,
	0xb2, 0x05, 0xc7, 0x56, 0x02, 0x05, 0x8f, 0x16, 0x24, 0x3b, 0x2f, 0x27, 0xb5, 0x40, 0xe1, 0xc6,
	0xbb, 0x76, 0x1d, 0x6f, 0x07, 0x03, 0xfe, 0xd2, 0xa4, 0x4c, 0xe0, 0x08, 0x58, 0x4a, 0xa9, 0xb7,
	0x37, 0xaa, 0x86, 0xaf, 0x7c, 0xea, 0xef, 0xa2, 0x70, 0x4f, 0x9c, 0xf7, 0xed, 0x82, 0x8f, 0x83,
	0xaf, 0xee, 0x09, 0xbb, 0xa4, 0xf1, 0xfb, 0xed, 0xd6, 0x02, 0xf2, 0x99, 0x77, 0xb1, 0xf6, 0x89,
	0x5d, 0xd0, 0xe9, 0x0a, 0xf6, 0x62, 0xe0, 0xa7, 0x1e, 0x4f, 0x6b, 0x17, 0xae, 0x4a, 0x7a, 0xfa,
	0xb2, 0xaf, 0x25, 0xbe, 0xd5, 0x0d, 0x7b, 0x43, 0xd9, 0xba, 0xdf, 0xb4, 0x12, 0xff, 0x7b, 0xea,
	0x87, 0xcf, 0xe3, 0xe9, 0xfc, 0x32, 0x0f, 0xfb, 0xca, 0x8f, 0xfb, 0xca, 0xaf, 0xdd, 0xbe, 0x96,
	0x27, 0x19, 0x79, 0xf5, 0xf8, 0xe7, 0x21, 0x25, 0xbf, 0x0e, 0x29, 0xf9, 0x7d, 0x48, 0xc9, 0xf7,
	0x3f, 0xe9, 0xc9, 0x26, 0xf6, 0x55, 0x2f, 0xfe, 0x06, 0x00, 0x00, 0xff, 0xff, 0xa6, 0xf1, 0x9c,
	0x76, 0x56, 0x02, 0x00, 0x00,
}
