// Code generated by protoc-gen-gogo.
// source: api.proto
// DO NOT EDIT!

/*
	Package reporting is a generated protocol buffer package.

	It is generated from these files:
		api.proto

	It has these top-level messages:
		GRPCEvent
		GRPCEvents
*/
package reporting

import proto "github.com/golang/protobuf/proto"
import fmt "fmt"
import math "math"
import _ "github.com/grpc-ecosystem/grpc-gateway/third_party/googleapis/google/api"
import google_protobuf1 "github.com/golang/protobuf/ptypes/empty"

import (
	context "golang.org/x/net/context"
	grpc "google.golang.org/grpc"
)

import io "io"

// Reference imports to suppress errors if they are not otherwise used.
var _ = proto.Marshal
var _ = fmt.Errorf
var _ = math.Inf

// This is a compile-time assertion to ensure that this generated file
// is compatible with the proto package it is being compiled against.
// A compilation error at this line likely means your copy of the
// proto package needs to be updated.
const _ = proto.ProtoPackageIsVersion2 // please upgrade the proto package

// GRPCEvent represents a single event sent over gRPC
type GRPCEvent struct {
	// Data is the JSON-encoded event payload
	Data []byte `protobuf:"bytes,1,opt,name=Data,json=data,proto3" json:"Data,omitempty"`
}

func (m *GRPCEvent) Reset()                    { *m = GRPCEvent{} }
func (m *GRPCEvent) String() string            { return proto.CompactTextString(m) }
func (*GRPCEvent) ProtoMessage()               {}
func (*GRPCEvent) Descriptor() ([]byte, []int) { return fileDescriptorApi, []int{0} }

// Events defines a series of events sent over gRPC
type GRPCEvents struct {
	// Events is a list of events
	Events []*GRPCEvent `protobuf:"bytes,1,rep,name=Events,json=events" json:"Events,omitempty"`
}

func (m *GRPCEvents) Reset()                    { *m = GRPCEvents{} }
func (m *GRPCEvents) String() string            { return proto.CompactTextString(m) }
func (*GRPCEvents) ProtoMessage()               {}
func (*GRPCEvents) Descriptor() ([]byte, []int) { return fileDescriptorApi, []int{1} }

func (m *GRPCEvents) GetEvents() []*GRPCEvent {
	if m != nil {
		return m.Events
	}
	return nil
}

func init() {
	proto.RegisterType((*GRPCEvent)(nil), "reporting.GRPCEvent")
	proto.RegisterType((*GRPCEvents)(nil), "reporting.GRPCEvents")
}

// Reference imports to suppress errors if they are not otherwise used.
var _ context.Context
var _ grpc.ClientConn

// This is a compile-time assertion to ensure that this generated file
// is compatible with the grpc package it is being compiled against.
const _ = grpc.SupportPackageIsVersion3

// Client API for EventsService service

type EventsServiceClient interface {
	// Record records the provided list of gRPC events
	Record(ctx context.Context, in *GRPCEvents, opts ...grpc.CallOption) (*google_protobuf1.Empty, error)
}

type eventsServiceClient struct {
	cc *grpc.ClientConn
}

func NewEventsServiceClient(cc *grpc.ClientConn) EventsServiceClient {
	return &eventsServiceClient{cc}
}

func (c *eventsServiceClient) Record(ctx context.Context, in *GRPCEvents, opts ...grpc.CallOption) (*google_protobuf1.Empty, error) {
	out := new(google_protobuf1.Empty)
	err := grpc.Invoke(ctx, "/reporting.EventsService/Record", in, out, c.cc, opts...)
	if err != nil {
		return nil, err
	}
	return out, nil
}

// Server API for EventsService service

type EventsServiceServer interface {
	// Record records the provided list of gRPC events
	Record(context.Context, *GRPCEvents) (*google_protobuf1.Empty, error)
}

func RegisterEventsServiceServer(s *grpc.Server, srv EventsServiceServer) {
	s.RegisterService(&_EventsService_serviceDesc, srv)
}

func _EventsService_Record_Handler(srv interface{}, ctx context.Context, dec func(interface{}) error, interceptor grpc.UnaryServerInterceptor) (interface{}, error) {
	in := new(GRPCEvents)
	if err := dec(in); err != nil {
		return nil, err
	}
	if interceptor == nil {
		return srv.(EventsServiceServer).Record(ctx, in)
	}
	info := &grpc.UnaryServerInfo{
		Server:     srv,
		FullMethod: "/reporting.EventsService/Record",
	}
	handler := func(ctx context.Context, req interface{}) (interface{}, error) {
		return srv.(EventsServiceServer).Record(ctx, req.(*GRPCEvents))
	}
	return interceptor(ctx, in, info, handler)
}

var _EventsService_serviceDesc = grpc.ServiceDesc{
	ServiceName: "reporting.EventsService",
	HandlerType: (*EventsServiceServer)(nil),
	Methods: []grpc.MethodDesc{
		{
			MethodName: "Record",
			Handler:    _EventsService_Record_Handler,
		},
	},
	Streams:  []grpc.StreamDesc{},
	Metadata: fileDescriptorApi,
}

func (m *GRPCEvent) Marshal() (data []byte, err error) {
	size := m.Size()
	data = make([]byte, size)
	n, err := m.MarshalTo(data)
	if err != nil {
		return nil, err
	}
	return data[:n], nil
}

func (m *GRPCEvent) MarshalTo(data []byte) (int, error) {
	var i int
	_ = i
	var l int
	_ = l
	if len(m.Data) > 0 {
		data[i] = 0xa
		i++
		i = encodeVarintApi(data, i, uint64(len(m.Data)))
		i += copy(data[i:], m.Data)
	}
	return i, nil
}

func (m *GRPCEvents) Marshal() (data []byte, err error) {
	size := m.Size()
	data = make([]byte, size)
	n, err := m.MarshalTo(data)
	if err != nil {
		return nil, err
	}
	return data[:n], nil
}

func (m *GRPCEvents) MarshalTo(data []byte) (int, error) {
	var i int
	_ = i
	var l int
	_ = l
	if len(m.Events) > 0 {
		for _, msg := range m.Events {
			data[i] = 0xa
			i++
			i = encodeVarintApi(data, i, uint64(msg.Size()))
			n, err := msg.MarshalTo(data[i:])
			if err != nil {
				return 0, err
			}
			i += n
		}
	}
	return i, nil
}

func encodeFixed64Api(data []byte, offset int, v uint64) int {
	data[offset] = uint8(v)
	data[offset+1] = uint8(v >> 8)
	data[offset+2] = uint8(v >> 16)
	data[offset+3] = uint8(v >> 24)
	data[offset+4] = uint8(v >> 32)
	data[offset+5] = uint8(v >> 40)
	data[offset+6] = uint8(v >> 48)
	data[offset+7] = uint8(v >> 56)
	return offset + 8
}
func encodeFixed32Api(data []byte, offset int, v uint32) int {
	data[offset] = uint8(v)
	data[offset+1] = uint8(v >> 8)
	data[offset+2] = uint8(v >> 16)
	data[offset+3] = uint8(v >> 24)
	return offset + 4
}
func encodeVarintApi(data []byte, offset int, v uint64) int {
	for v >= 1<<7 {
		data[offset] = uint8(v&0x7f | 0x80)
		v >>= 7
		offset++
	}
	data[offset] = uint8(v)
	return offset + 1
}
func (m *GRPCEvent) Size() (n int) {
	var l int
	_ = l
	l = len(m.Data)
	if l > 0 {
		n += 1 + l + sovApi(uint64(l))
	}
	return n
}

func (m *GRPCEvents) Size() (n int) {
	var l int
	_ = l
	if len(m.Events) > 0 {
		for _, e := range m.Events {
			l = e.Size()
			n += 1 + l + sovApi(uint64(l))
		}
	}
	return n
}

func sovApi(x uint64) (n int) {
	for {
		n++
		x >>= 7
		if x == 0 {
			break
		}
	}
	return n
}
func sozApi(x uint64) (n int) {
	return sovApi(uint64((x << 1) ^ uint64((int64(x) >> 63))))
}
func (m *GRPCEvent) Unmarshal(data []byte) error {
	l := len(data)
	iNdEx := 0
	for iNdEx < l {
		preIndex := iNdEx
		var wire uint64
		for shift := uint(0); ; shift += 7 {
			if shift >= 64 {
				return ErrIntOverflowApi
			}
			if iNdEx >= l {
				return io.ErrUnexpectedEOF
			}
			b := data[iNdEx]
			iNdEx++
			wire |= (uint64(b) & 0x7F) << shift
			if b < 0x80 {
				break
			}
		}
		fieldNum := int32(wire >> 3)
		wireType := int(wire & 0x7)
		if wireType == 4 {
			return fmt.Errorf("proto: GRPCEvent: wiretype end group for non-group")
		}
		if fieldNum <= 0 {
			return fmt.Errorf("proto: GRPCEvent: illegal tag %d (wire type %d)", fieldNum, wire)
		}
		switch fieldNum {
		case 1:
			if wireType != 2 {
				return fmt.Errorf("proto: wrong wireType = %d for field Data", wireType)
			}
			var byteLen int
			for shift := uint(0); ; shift += 7 {
				if shift >= 64 {
					return ErrIntOverflowApi
				}
				if iNdEx >= l {
					return io.ErrUnexpectedEOF
				}
				b := data[iNdEx]
				iNdEx++
				byteLen |= (int(b) & 0x7F) << shift
				if b < 0x80 {
					break
				}
			}
			if byteLen < 0 {
				return ErrInvalidLengthApi
			}
			postIndex := iNdEx + byteLen
			if postIndex > l {
				return io.ErrUnexpectedEOF
			}
			m.Data = append(m.Data[:0], data[iNdEx:postIndex]...)
			if m.Data == nil {
				m.Data = []byte{}
			}
			iNdEx = postIndex
		default:
			iNdEx = preIndex
			skippy, err := skipApi(data[iNdEx:])
			if err != nil {
				return err
			}
			if skippy < 0 {
				return ErrInvalidLengthApi
			}
			if (iNdEx + skippy) > l {
				return io.ErrUnexpectedEOF
			}
			iNdEx += skippy
		}
	}

	if iNdEx > l {
		return io.ErrUnexpectedEOF
	}
	return nil
}
func (m *GRPCEvents) Unmarshal(data []byte) error {
	l := len(data)
	iNdEx := 0
	for iNdEx < l {
		preIndex := iNdEx
		var wire uint64
		for shift := uint(0); ; shift += 7 {
			if shift >= 64 {
				return ErrIntOverflowApi
			}
			if iNdEx >= l {
				return io.ErrUnexpectedEOF
			}
			b := data[iNdEx]
			iNdEx++
			wire |= (uint64(b) & 0x7F) << shift
			if b < 0x80 {
				break
			}
		}
		fieldNum := int32(wire >> 3)
		wireType := int(wire & 0x7)
		if wireType == 4 {
			return fmt.Errorf("proto: GRPCEvents: wiretype end group for non-group")
		}
		if fieldNum <= 0 {
			return fmt.Errorf("proto: GRPCEvents: illegal tag %d (wire type %d)", fieldNum, wire)
		}
		switch fieldNum {
		case 1:
			if wireType != 2 {
				return fmt.Errorf("proto: wrong wireType = %d for field Events", wireType)
			}
			var msglen int
			for shift := uint(0); ; shift += 7 {
				if shift >= 64 {
					return ErrIntOverflowApi
				}
				if iNdEx >= l {
					return io.ErrUnexpectedEOF
				}
				b := data[iNdEx]
				iNdEx++
				msglen |= (int(b) & 0x7F) << shift
				if b < 0x80 {
					break
				}
			}
			if msglen < 0 {
				return ErrInvalidLengthApi
			}
			postIndex := iNdEx + msglen
			if postIndex > l {
				return io.ErrUnexpectedEOF
			}
			m.Events = append(m.Events, &GRPCEvent{})
			if err := m.Events[len(m.Events)-1].Unmarshal(data[iNdEx:postIndex]); err != nil {
				return err
			}
			iNdEx = postIndex
		default:
			iNdEx = preIndex
			skippy, err := skipApi(data[iNdEx:])
			if err != nil {
				return err
			}
			if skippy < 0 {
				return ErrInvalidLengthApi
			}
			if (iNdEx + skippy) > l {
				return io.ErrUnexpectedEOF
			}
			iNdEx += skippy
		}
	}

	if iNdEx > l {
		return io.ErrUnexpectedEOF
	}
	return nil
}
func skipApi(data []byte) (n int, err error) {
	l := len(data)
	iNdEx := 0
	for iNdEx < l {
		var wire uint64
		for shift := uint(0); ; shift += 7 {
			if shift >= 64 {
				return 0, ErrIntOverflowApi
			}
			if iNdEx >= l {
				return 0, io.ErrUnexpectedEOF
			}
			b := data[iNdEx]
			iNdEx++
			wire |= (uint64(b) & 0x7F) << shift
			if b < 0x80 {
				break
			}
		}
		wireType := int(wire & 0x7)
		switch wireType {
		case 0:
			for shift := uint(0); ; shift += 7 {
				if shift >= 64 {
					return 0, ErrIntOverflowApi
				}
				if iNdEx >= l {
					return 0, io.ErrUnexpectedEOF
				}
				iNdEx++
				if data[iNdEx-1] < 0x80 {
					break
				}
			}
			return iNdEx, nil
		case 1:
			iNdEx += 8
			return iNdEx, nil
		case 2:
			var length int
			for shift := uint(0); ; shift += 7 {
				if shift >= 64 {
					return 0, ErrIntOverflowApi
				}
				if iNdEx >= l {
					return 0, io.ErrUnexpectedEOF
				}
				b := data[iNdEx]
				iNdEx++
				length |= (int(b) & 0x7F) << shift
				if b < 0x80 {
					break
				}
			}
			iNdEx += length
			if length < 0 {
				return 0, ErrInvalidLengthApi
			}
			return iNdEx, nil
		case 3:
			for {
				var innerWire uint64
				var start int = iNdEx
				for shift := uint(0); ; shift += 7 {
					if shift >= 64 {
						return 0, ErrIntOverflowApi
					}
					if iNdEx >= l {
						return 0, io.ErrUnexpectedEOF
					}
					b := data[iNdEx]
					iNdEx++
					innerWire |= (uint64(b) & 0x7F) << shift
					if b < 0x80 {
						break
					}
				}
				innerWireType := int(innerWire & 0x7)
				if innerWireType == 4 {
					break
				}
				next, err := skipApi(data[start:])
				if err != nil {
					return 0, err
				}
				iNdEx = start + next
			}
			return iNdEx, nil
		case 4:
			return iNdEx, nil
		case 5:
			iNdEx += 4
			return iNdEx, nil
		default:
			return 0, fmt.Errorf("proto: illegal wireType %d", wireType)
		}
	}
	panic("unreachable")
}

var (
	ErrInvalidLengthApi = fmt.Errorf("proto: negative length found during unmarshaling")
	ErrIntOverflowApi   = fmt.Errorf("proto: integer overflow")
)

func init() { proto.RegisterFile("api.proto", fileDescriptorApi) }

var fileDescriptorApi = []byte{
	// 286 bytes of a gzipped FileDescriptorProto
	0x1f, 0x8b, 0x08, 0x00, 0x00, 0x00, 0x00, 0x00, 0x02, 0xff, 0x6c, 0x8f, 0xc1, 0x4a, 0x33, 0x31,
	0x14, 0x85, 0xff, 0xfc, 0x96, 0x81, 0x46, 0x45, 0x09, 0x56, 0x4a, 0x85, 0xb1, 0xcc, 0xaa, 0x88,
	0x26, 0x58, 0x77, 0x5d, 0xaa, 0xc5, 0x9d, 0xc8, 0xb8, 0x73, 0x53, 0x6e, 0xa7, 0x31, 0x0d, 0xd8,
	0x49, 0x48, 0x6e, 0x47, 0x66, 0xeb, 0x2b, 0xb8, 0xf1, 0x91, 0x5c, 0x0a, 0xbe, 0x80, 0x8c, 0x3e,
	0x88, 0x38, 0x19, 0x67, 0xe5, 0xee, 0x1c, 0xce, 0x77, 0x92, 0x73, 0x69, 0x17, 0xac, 0xe6, 0xd6,
	0x19, 0x34, 0xac, 0xeb, 0xa4, 0x35, 0x0e, 0x75, 0xae, 0x06, 0x77, 0x4a, 0xe3, 0x72, 0x3d, 0xe7,
	0x99, 0x59, 0x09, 0xe5, 0x6c, 0x76, 0x22, 0x33, 0xe3, 0x4b, 0x8f, 0xb2, 0xb1, 0x0a, 0x50, 0x3e,
	0x42, 0x29, 0x70, 0xa9, 0xdd, 0x62, 0x66, 0xc1, 0x61, 0x29, 0x94, 0x31, 0xea, 0x41, 0x82, 0xd5,
	0xbe, 0x91, 0x02, 0xac, 0x16, 0x90, 0xe7, 0x06, 0x01, 0xb5, 0xc9, 0x7d, 0xf8, 0x66, 0x70, 0xd0,
	0xa4, 0xb5, 0x9b, 0xaf, 0xef, 0x85, 0x5c, 0x59, 0x2c, 0x43, 0x98, 0x1c, 0xd2, 0xee, 0x55, 0x7a,
	0x73, 0x31, 0x2d, 0x64, 0x8e, 0x8c, 0xd1, 0xce, 0x25, 0x20, 0xf4, 0xc9, 0x90, 0x8c, 0xb6, 0xd2,
	0xce, 0x02, 0x10, 0x92, 0x09, 0xa5, 0x2d, 0xe0, 0xd9, 0x31, 0x8d, 0x82, 0xea, 0x93, 0xe1, 0xc6,
	0x68, 0x73, 0xbc, 0xc7, 0xdb, 0x1b, 0x78, 0x8b, 0xa5, 0x91, 0xac, 0x99, 0xf1, 0x8c, 0x6e, 0x07,
	0xfa, 0x56, 0xba, 0x42, 0x67, 0x92, 0x5d, 0xd3, 0x28, 0x95, 0x99, 0x71, 0x0b, 0xd6, 0xfb, 0xab,
	0xe8, 0x07, 0xfb, 0x3c, 0x8c, 0xe5, 0xbf, 0x63, 0xf9, 0xf4, 0x67, 0x6c, 0xd2, 0x7b, 0x7a, 0xff,
	0x7a, 0xfe, 0xbf, 0x93, 0x50, 0x51, 0x9c, 0x8a, 0xf0, 0xfa, 0x84, 0x1c, 0x9d, 0xef, 0xbe, 0x56,
	0x31, 0x79, 0xab, 0x62, 0xf2, 0x51, 0xc5, 0xe4, 0xe5, 0x33, 0xfe, 0x37, 0x8f, 0xea, 0xe2, 0xd9,
	0x77, 0x00, 0x00, 0x00, 0xff, 0xff, 0x5c, 0x2d, 0xa0, 0xdf, 0x67, 0x01, 0x00, 0x00,
}
